--- channels/chan_dahdi.c       2012-08-01 22:32:17.000000000 -0500
+++ channels/chan_dahdi.c       2012-08-05 23:25:09.000000000 -0500
@@ -1701,6 +1701,7 @@
                        if (errno != ELAST) {
                                ast_log(LOG_WARNING, "read returned error: %s\n", strerror(errno));
                                callerid_free(p->cs);
+                               ast_log(LOG_DEBUG, "CallerID Failed due to Read Error\n");
                                return -1;
                        }
                }
@@ -1708,6 +1709,7 @@
                if (analog_p->ringt > 0) {
                        if (!(--analog_p->ringt)) {
                                /* only return if we timeout from a ring event */
+                               ast_log(LOG_DEBUG, "CallerID Failed due to Timeout\n");
                                return -1;
                        }
                }
@@ -1733,7 +1735,8 @@
                        if (num)
                                ast_copy_string(numbuf, num, ANALOG_MAX_CID);

-                       ast_debug(1, "CallerID number: %s, name: %s, flags=%d\n", num, name, flags);
+;                      ast_debug(1, "CallerID number: %s, name: %s, flags=%d\n", num, name, flags);
+                       ast_log(LOG_DEBUG, "CallerID number: %s, name: %s, flags=%d\n", num, name, flags);
                        return 0;
